/* This program written by Paul Edwards, Fidonet 3:711/934
   on 1993.7.19.  It is released to the Public Domain.
   It creates a request file, suitable for sending to a front-end
   mailer, to do a FREQ.  The request file is in the format xxxxyyyy.req,
   where xxxx is the "net" part of the Fidonet address, and yyyy is
   the "node" part.  You are prompted for the fidonet address and the
   files you want to send.  A blank line terminates the file selection. */
   
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main(void)
{
  FILE *fq;
  char fnm[FILENAME_MAX];
  char buf[200];
  int zone, net, node;
  
  printf("What is the fidonet address to get files from, e.g. 3:666/666?\n");
  scanf("%d:%d/%d",&zone,&net,&node);
  gets(buf);
  sprintf(fnm, "%0.4X%0.4X.REQ", net, node);
  fq = fopen(fnm,"w");
  if (fq == NULL)
  {
    printf("couldn't open %s\n", fnm);
    return (EXIT_FAILURE);
  }
  printf("enter filenames, one per line, empty line ends\n");
  gets(buf);
  while (strlen(buf) > 0)
  {
    fprintf(fq, "%s\n", buf);
    gets(buf);
  }
  fclose(fq);
  return (EXIT_SUCCESS);
}
